export default Mesh;
declare class Mesh extends THREEMesh {
    constructor(geometry?: import("three").Geometry | import("three").BufferGeometry | undefined, material?: import("three").Material | import("three").Material[] | undefined);
    setTransform(transform: any): void;
    setScale(scale: any): void;
    setColor(colors: any): void;
    setAlpha(alpha: any): void;
    applyQuaternion(quaternion: import("three").Quaternion): Mesh;
    rotateOnAxis(axis: import("three").Vector3, angle: number): Mesh;
    rotateOnWorldAxis(axis: import("three").Vector3, angle: number): Mesh;
    rotateX(angle: number): Mesh;
    rotateY(angle: number): Mesh;
    rotateZ(angle: number): Mesh;
    translateOnAxis(axis: import("three").Vector3, distance: number): Mesh;
    translateX(distance: number): Mesh;
    translateY(distance: number): Mesh;
    translateZ(distance: number): Mesh;
    add(...object: import("three").Object3D[]): Mesh;
    remove(...object: import("three").Object3D[]): Mesh;
    attach(object: import("three").Object3D): Mesh;
    clone(recursive?: boolean | undefined): Mesh;
    copy(source: Mesh, recursive?: boolean | undefined): Mesh;
}
import { Mesh as THREEMesh } from "three/src/objects/Mesh";
